﻿@using SSCMvc.Webutil;
@model IEnumerable<SSCMvc.Models.Tb_CourseHist>
@using SSCMvc.Models
<script type="text/javascript">

    function DeleteHistory(myid) {
        var x = confirm("Are You Sure?");
        if (x == true) {
            $.post("/MaAdmission/_CourseHisDelete", { id: myid }, function (data) { });
            location.reload();
        }
        else {
        }

    }
</script>
@{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
string refadd = CommonUtil.HomeAddress(utype);
}
<table>
    <tr>
        <td>
            <h5>
                List Of Course History
            </h5>
        </td>
    </tr>
</table>
<table class="table" width="600px">
    <tr>
        <th>
            Course Name
        </th>
        <th>
            Group
        </th>
        <th>
            Package
        </th>
        <th>
            Time
        </th>
        <th>
            From Date
        </th>
        <th>
            Amount
        </th>
        <th>
            @*Next Due Date*@
            Course Completion Date
        </th>
        <th>
            Current <br />
            CourseLevel
        </th>
        <th>
            Active <br />
            /InActive
        </th>
        @*<th>
            Remarks
        </th>*@
        <th>
            Enter By
        </th>
    </tr>
    @{int i = 0;
    string bgcolor = "oddrow";
    }
    @foreach (var item in Model)
    {
        if (i % 2 == 0)
        {
            bgcolor = "evenrow";
        }
        else
        {
            bgcolor = "oddrow";
        }
        i++;
        <tr class="@bgcolor">
            <td>
                @Html.DisplayFor(modelItem => item.MaCourse.CourseName)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.GroupName)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.MaPackage.PackageName) - @Html.DisplayFor(modelItem => item.MaPackage.PackageHours)
            </td>
            <td>
                @{
        SSCWebDBEntities1 db = new SSCWebDBEntities1();
        var batchtime = db.MaGroupTime_View.Where(z => z.Timeid == item.TimeId).Select(z => z.BatchTime).First();
                }
                @batchtime
            </td>
            <td>
                @{string fdate = string.Format("{0:dd MMM,yyyy}", item.FromDate);}
                @fdate
            </td>
            @* <td>
                    @Html.DisplayFor(modelItem => item.Todate)
                </td>*@
            <td>
                @Html.DisplayFor(modelItem => item.Amout)
            </td>
            <td>
                @{
        string nxtdate = string.Format("{0:dd MMM,yyyy}", item.DueDate);
                }
                @nxtdate
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.currentcourselevel)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.IsActive)
            </td>
            @*<td>
                @Html.DisplayFor(modelItem => item.CourseRemarks)
            </td>*@
            <td>
                @Html.DisplayFor(modelItem => item.EnterBy)
            </td>
            @{
        SSCWebDBEntities1 db1 = new SSCWebDBEntities1();
        object admissid = db1.Tb_CourseHist.Where(z => z.Id == item.Id).Select(z => z.AdmissionId).First();

            }
            <td>
                @{
        string myurl = Request.Url.ToString();

        if (myurl.Contains("Edit"))
        {
            @Html.ImageActionLink("../../Content/themes/base/images/Edit.png", "Edit", "CourseHistoryEdit", "MaAdmission", new { id = item.Id, @admisid = admissid, @course = "Edit" }, null, null)
        }
        else
        {
            @Html.ImageActionLink("../../Content/themes/base/images/Edit.png", "Edit", "CourseHistoryEdit", "MaAdmission", new { id = item.Id, @admisid = admissid, @course = "No" }, null, null)
        }
                }
                @{if (utype == CommonUtil.UserTypeSuperAdmin)
                {
                    <a href="#" onclick="DeleteHistory(@item.Id)" title="Delete">
                        <img src="../../Content/themes/base/images/Delete.png" />
                    </a>
                }
                }
                @Html.ImageActionLink("../../Content/themes/base/images/detail.png", "Installment Detail", "InstallmentIndex", "MaAdmission", new { id = item.Id }, new { @target = "_blank" }, null)
                @Html.ImageActionLink("../../Content/themes/base/images/print.png", "Print", "PrintCrseHist", "MaAdmission", new { id = item.Id }, new { @target = "_blank" }, null)
                @*@Html.ImageActionLink("../../Content/themes/base/images/history.png", "History", "_StudentCourseHistory", "MaAdmission", new { id = item.AdmissionId }, new { @target = "_blank", @class = "editAcBtn" }, null)*@
                @Html.ImageActionLink("../../Content/themes/base/images/history.png", "History", "_StudentCourseHistory", "MaAdmission", new { id = item.Id,aid=item.AdmissionId }, new { @target = "_blank", @class = "editAcBtn" }, null)


            </td>
        </tr>

    }
</table>
